commit 7cac354161a8914712264408347a9a2882aab22f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 14:24:55 2017 +0100

    tag as 0.8.21

commit 6c6c42e3d1b49d90aacc0b67f8540471cae02a1d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 13:44:58 2017 +0100

    Merge branch 'security' into 'master'
    
    See merge request !7

commit eb20a6c846373bbfba4cd80e6aef017b56409047
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 22 04:27:35 2016 +0200

    Merge pull request #548 from ailin-nemui/buf-fix
    
    sync buf.pl

commit 13f4026ae0f0d5422f3163576d4c2eff8754176a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:55:20 2016 +0200

    tag as 0.8.20

commit 9de7a9b3284b06631a47609a83e608cfe0541de1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:44:51 2016 +0200

    Merge branch 'quarkslab'

commit 52fedeaf0229e27f9d86b72b23f16120c92c1fea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:34:39 2016 +0200

    Update NEWS for 0.8.20

commit 7455ad51d43ad925a613ff90e3b6d3c866b2fe7b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Apr 30 10:19:57 2016 +0200

    Merge pull request #477 from dennisschagt/master
    
    Correct error/typo "You"->"Your" in help message

commit 2c5856d832c9cc7f2a995e9017b4436d752c68c3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 7 12:33:03 2016 +0200

    Merge pull request #467 from dequis/EAI_SYSTEM
    
    net_gethosterror: Handle EAI_SYSTEM ("System error") properly

commit 8cbf5f28f2028fd6fc58232c76f67ab574ecab11
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 29 22:45:47 2016 +0200

    Merge pull request #461 from ailin-nemui/fix_squery
    
    Revert "Removed the obsolete SQUERY and SERVLIST commands"

commit e68817f82bc9dde71bb28975cee7ed70cc98ff30
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 12 16:11:04 2016 +0200

    Merge pull request #515 from LemonBoy/signal-proto
    
    Correct the prototype for the 'message private' signal.

commit 6b212be112e33a536d08f31abf186a699ee8da51
Author: dx <dx@dxzone.com.ar>
Date:   Sun Jul 17 12:37:57 2016 -0300

    Merge pull request #518 from vague666/hilight_help
    
    Wrong order in the arguments in /hilight example, -mask doesn't take …

commit 3c29b4440841e867fe804ec5351884d90d9d8bcf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 25 04:24:07 2016 +0200

    Merge pull request #529 from ailin-nemui/issue500
    
    fix nick->host == NULL crash

commit 31c0a9d7e8368e8cfa10356bd9dbc1f9024d9c70
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Sep 4 12:11:02 2016 +0200

    Merge pull request #533 from dequis/statusmess
    
    Set the default STATUSMSG to @ instead of @+ if it's missing

commit 750e3249038409607b0a57d21e21612e546539ed
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 1 22:56:26 2016 +0200

    Merge pull request #484 from LemonBoy/sasl-misc-adj
    
    Correct the name of the emitted signal.

commit 97e9347ee704bdcd790002f2629cf6cea3e2bf40
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jun 7 02:47:57 2016 +0200

    Merge pull request #485 from ailin-nemui/bdo826525
    
    Do not crash on OPTCHAN when item has no server

commit c43831574187cdb2323d123702aa687af24664d8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 23 00:08:24 2016 +0100

    tag as 0.8.19

commit 6c0c0c60ad62e45664ee0c77ae3c926892de267c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 22 16:54:34 2016 +0100

    Make use of terminal application keys configurable
    
    adds a new setting term_appkey_mode which can enable or disable the use
    of keyboard transmit (application keys) mode. Fixes #430

commit 6572005d3d8071dc7faa1637986ed81692203e13
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 22 22:54:43 2016 +0100

    Merge pull request #458 from ailin-nemui/fix_449
    
    Properly toggle bracketed paste mode on stop/cont

commit 5ef2b958d94af940746f607fb56776852c6b0a4d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 22 22:57:28 2016 +0100

    Merge pull request #457 from ailin-nemui/fix_450
    
    fix race condition in terminal init

commit c657b9c3b1bf867722f63892251b2294d6a87d56
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 22 15:25:13 2016 +0100

    Merge pull request #447 from ailin-nemui/fix_dcc_help
    
    correct quoting in /help dcc

commit 4a2ee3c34471c29b884f5b0bc2b6ad95b56f500b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 22 15:23:37 2016 +0100

    Merge pull request #446 from ailin-nemui/fix_445
    
    strip less whitespace from commands

commit fe600dd5dc11c839c1fd90e77c4020c937e7c453
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Mar 20 22:06:41 2016 +0100

    Merge pull request #442 from LemonBoy/fix-435
    
    Do not assume any default value for statusmsg.

commit 15296a0165007aece5ac732c1f53b0fc78ba9ba1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Mar 20 22:00:43 2016 +0100

    Merge pull request #444 from LemonBoy/timeout-id
    
    Use 0 as a sentinel value for sasl_timeout

commit 7d3fe66e50fc3c47783d9beb0474a4ed9d2d9953
Author: TheLemonMan <LemonBoy@users.noreply.github.com>
Date:   Thu Mar 17 22:07:57 2016 +0100

    Merge pull request #439 from horgh/ssl-errors
    
    Clear error queue before SSL I/O operations

commit d20872ac27c63f2c92775a12c99a7494148901ca
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 17 16:14:34 2016 +0100

    Merge pull request #438 from dequis/sasl-timeout-disconnect
    
    Remove sasl timeout source when the server disconnects

commit 4416942fcdd426385cc3ef7a912f9260627b8a39
Author: Giuseppe <LemonBoy@users.noreply.github.com>
Date:   Tue Mar 8 22:49:05 2016 +0100

    Merge pull request #432 from grawity/fix-external
    
    fix SASL EXTERNAL

commit 025f08d5fc69d6e9c28004f8f7af26f613b0e0fb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 29 05:33:14 2016 +0100

    Merge pull request #407 from irssi/ailin-nemui-perl-bugs
    
    Mention known Perl Bugs in perl.txt

commit 22d772890e6f3b9622485fd83529f73891567e71
Author: dx <dx@dxzone.com.ar>
Date:   Tue Jan 26 03:25:07 2016 -0300

    Merge pull request #405 from LemonBoy/serialize-channel-name
    
    Serialize the 'name' attribute of the CHANNEL_REC.

commit 15f79a713f3e100a3b96b65e951fb37ae8994bdd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 23 00:07:43 2016 +0100

    set version to 0.8.18a-head

commit b91f3c3025dc5cace2c14cb5b2da005400b5cd6a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 8 14:53:17 2016 +0100

    tag as 0.8.18

commit 8ab537cf22371f9115002484b320719676dab86b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 8 21:03:35 2016 +0100

    sync docs

commit 06fdfd617e3944e5ed07aa0e230d71a1e76384c3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 8 14:38:33 2016 +0100

    sync scriptassist.pl

commit 38b1121989afcd1f8592e78f9fed0bc67e74814c
Merge: 424675f9 c6a85721
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 12 23:34:44 2016 +0100

    Merge branch '0.8.18-beta1' into 0.8.18-beta2

commit 424675f9df536eadab4e0945288ed411c7d02d00
Merge: 62cab9d6 45f8d5bd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 12 23:27:43 2016 +0100

    Merge branch '0.8.18-beta1' (early part) into 0.8.18-beta2

commit 62cab9d662d7f8875de8ee186cbbe4ea6cb891cd
Merge: bd2c5490 cfb6123a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 11 21:19:35 2016 +0100

    Merge pull request #393 from ailin-nemui/moduleversion-perl
    
    forward ABI to perl modules

commit bd2c549064314cbff8ff0a52842d410d59f74ae6
Merge: 8f370959 ad842ea8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 11 21:04:48 2016 +0100

    Merge pull request #394 from ailin-nemui/reset-history
    
    option to clear the history

commit 8f370959691185127a38f70a7de002e64a65310e
Merge: d16f57b3 7cc85b94
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 11 21:04:43 2016 +0100

    Merge pull request #389 from ailin-nemui/hilight2-up
    
    keep track of address in text_dest for hilight purposes

commit d16f57b3788ed780940151454be355923512c9f3
Merge: 12f4f1fa dbee606c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 11 21:04:27 2016 +0100

    Merge pull request #390 from LemonBoy/ignore-find
    
    Clean up the ignore_find API to make it more powerful.

commit 12f4f1fa24943e4a46e4223d7c98d5fcf721f906
Merge: 83a7ce2e 41088b6f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 8 20:27:47 2016 +0100

    Merge pull request #396 from mauke/master
    
    make /knockout use /unban to remove bans

commit 41088b6f65674d48edfe4d5667a03d1389617d34
Author: Lukas Mai <l.mai@web.de>
Date:   Fri Jan 8 19:37:29 2016 +0100

    make /knockout use /unban to remove bans
    
    /knockout uses /ban to set bans but calls ban_remove() directly to
    remove them. This commit makes it use /unban instead. This allows
    scripts that hook ban/unban to work automatically with /knockout.

commit 83a7ce2e00f418560ad2566c9b06ddf523148a91
Merge: be6d7629 cf90b212
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 8 19:28:46 2016 +0100

    Merge pull request #395 from mauke/master
    
    irc/core/irc-commands.c: fix indentation

commit cf90b2122efdc2a6fc5246e3c538af3c71f38988
Author: Lukas Mai <l.mai@web.de>
Date:   Fri Jan 8 18:52:59 2016 +0100

    irc/core/irc-commands.c: fix indentation

commit ad842ea8a60f107d68df4298a8914e66edf95c3b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 8 15:42:59 2016 +0100

    reorder history add and fixes

commit 4659cea65a663b11f3cc16e1d03c9955a4135238
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 01:52:44 2015 +0100

    option to clear the history

commit cfb6123a7ab56e12136711a7e088424c9f68fd26
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 6 17:25:53 2016 +0100

    forward ABI to perl modules

commit be6d7629e3e58102e5c7599943974cc39c9b172c
Merge: 787956af 837e03bd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 6 12:57:20 2016 +0100

    Merge pull request #392 from mauke/master
    
    irssiproxy: avoid using pointer after freeing it

commit 837e03bd8f1be71ca26e3c2581b5444dcb5fe73f
Author: Lukas Mai <l.mai@web.de>
Date:   Wed Jan 6 12:45:18 2016 +0100

    irssiproxy: avoid using pointer after freeing it

commit dbee606c60c4d8d7c6e5cabd1241fc182ae6c4a3
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jan 3 21:19:46 2016 +0100

    Don't break the API.
    
    Have a ignore_find_full method that is the one that all the new code
    should be using and provide some working stubs for ignore_find and
    ignore_find_noact.

commit 609f3ba6c2db4f04e1e11304459d4fc42babd8ff
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jan 3 19:49:18 2016 +0100

    Clean up the ignore_find API to make it more powerful.
    
    This way we prevent the creation of duplicate ignores since the old code
    skipped the ignore_find call when a pattern was specified.
    It should also cover all the cases where the ignores would be wrongly
    overwritten, such as the case outlined in #78.

commit 7cc85b9427887c4f77b8a5706b148371e713828b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 28 00:07:42 2015 +0100

    keep track of address in text_dest for hilight purposes

commit c6a85721a6e9d5a6f67f76f0062c750146c6805f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 28 00:07:42 2015 +0100

    keep track of address in text_dest for hilight purposes

commit f6d4b11079e0e8c2619989e3550a8ebd161eb1ae
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 22 00:51:57 2015 +0100

    correct incorrect pre-release tag in NEWS

commit 787956af3aac001755ec87d52cbb28f7c91800e1
Merge: 665f0b83 64463933
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 22 00:18:41 2015 +0100

    Merge pull request #387 from ailin-nemui/import-beta-news
    
    list NEWS and AUTHORS since 0.8.17

commit 64463933fdb923cdc55fcd105c8e35d61546e62e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 14:14:41 2015 +0100

    list NEWS since 0.8.17

commit 74eb556c504271129f44268870d34c011804d7e4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 12:35:27 2015 +0100

    add new authors since 0.8.17

commit d495111bde29796430e34832f15025f3708a7166
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 10:59:23 2015 +0100

    tag as 0.8.18-beta1

commit 77143aee7dcff85f0b8656543c185a9e6a8131bb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 14:17:33 2015 +0100

    remove mention of ./autogen.sh from releases INSTALL

commit ab809d8d2a9cfb3f0d879c098f2d2d88ce60d3fe
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 14:14:41 2015 +0100

    list NEWS since 0.8.17

commit 653fd590aff1d2f602ceef999b3df2719e0835b1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 12:35:27 2015 +0100

    add new authors since 0.8.17

commit 45f8d5bd6a2f98a4d211df8c51c602a84f6777e4
Merge: 311b01e7 e4e04092
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 11:12:09 2015 +0100

    Merge pull request #385 from ailin-nemui/master
    
    option to clear the history

commit 311b01e72a81a6fdef1c477d3255b76e545d49f1
Merge: 665f0b83 ff8ccaf0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 11:09:48 2015 +0100

    Merge pull request #377 from ailin-nemui/moduleversion2
    
    module check irssi version (manual way)

commit e4e040929b247b2432190b84b6edca997dacd600
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 01:52:44 2015 +0100

    option to clear the history

commit 665f0b83d7f055892abbae573b599eb02a5be0cb
Merge: 2fbdadf1 620d0a92
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 00:10:27 2015 +0100

    Merge pull request #383 from mh-source/patch-1
    
    script should be plural

commit 2fbdadf124b4e07997dd30d550d68beec8af2ae1
Merge: 074af685 5fbad764
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 00:08:50 2015 +0100

    Merge pull request #384 from ailin-nemui/master
    
    clean up after #303

commit 5fbad764df7b96618553a45facde73edb5e7bb9c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 00:08:44 2015 +0100

    clean up after #303

commit 074af68578766b32bfc589089e290614b5ba6a8d
Merge: 38720e0e deb6ca1b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 00:07:18 2015 +0100

    Merge pull request #303 from vague666/fs275
    
    Applied patch from fs#275 to make /hilight -mask -line work properly

commit 38720e0ecbf346c2a3c45e0d2f7584091794edb8
Merge: 7b69b988 ce77842a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 15 00:06:48 2015 +0100

    Merge pull request #306 from dequis/bracketed-paste
    
    Implement paste detection via the bracketed paste mode 2: bracket pasterer

commit 620d0a9299d31e3f9b59233904151cdce4519526
Author: mh <mh-source@users.noreply.github.com>
Date:   Mon Dec 14 19:12:47 2015 +0100

    script should be plural

commit 7b69b98812c2be31dcd1875fc2ef90a20af8a15e
Merge: 4dd7f2b1 6e01a231
Author: dx <dx@dxzone.com.ar>
Date:   Mon Dec 14 10:27:39 2015 -0300

    Merge pull request #382 from ailin-nemui/staticperl
    
    ensure staticlib perl works on 5.22

commit ce77842a985edc82aa1ca30c83c4edfe904872aa
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Dec 13 13:56:09 2015 -0300

    Bracketed paste: fix nitpick from ahf's review
    
    Thanks ahf

commit 6e01a2313439bb02a66a52db645f63f078c2c4b0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Dec 13 01:08:53 2015 +0100

    ensure staticlib perl works on 5.22 (for now)

commit 4dd7f2b18f9895e440e84c563cfd5c997cac317f
Merge: 18c3ea24 9dd2b7c6
Author: dx <dx@dxzone.com.ar>
Date:   Sat Dec 12 12:40:38 2015 -0300

    Merge pull request #378 from ailin-nemui/staticperl
    
    deinit perl on staticperl builds

commit 18c3ea24b6377c3e1820e8c49c137260dcbbdc6b
Merge: 40e5dfa7 0b1a912f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Dec 12 11:29:40 2015 +0100

    Merge pull request #380 from dequis/makefile-cleanfiles
    
    Makefile.am: Add default-config.h and default-theme.h to CLEANFILES

commit e6fa311590da78d05e9eea42d3664cec01c9b1ae
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Dec 12 01:44:05 2015 -0300

    Bracketed paste: Adjust paste line count if there's text after newlines
    
    With bracketed paste, "a\nb" will result in two lines being pasted,
    because it's a single thing, with an end marker which the timeout based
    pastes don't have.
    
    Due to the way term_gets() counts lines, that input will have
    paste_line_count == 1. This can be misleading.
    
    This code adjusts it by looking at the last character, and increasing
    the count if it finds anything that isn't a newline.

commit 38d372eccb3745a7734b8f8963ae572d1343c5b1
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Dec 12 01:17:48 2015 -0300

    Disable timeout-based paste detection if paste_use_bracketed_mode is on

commit 0b1a912f822b21e5c4dfc18436ab5b90f079e19b
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Dec 11 21:31:04 2015 -0300

    Makefile.am: Add default-config.h and default-theme.h to CLEANFILES
    
    Fixes issues when building from other directories when the source tree
    was already configured before, as found in the comments of PR #375

commit 40e5dfa7767c7e13ff920dc4b4afb34510765edf
Merge: 4dc2bab4 0fcfd37b
Author: dx <dx@dxzone.com.ar>
Date:   Fri Dec 11 21:30:30 2015 -0300

    Merge pull request #375 from ailin-nemui/objdir-build
    
    Fix Out-of-tree build

commit 9dd2b7c616e48a7525e72d6798a0adae34720616
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 10 14:02:59 2015 +0100

    deinit perl on staticperl builds

commit ff8ccaf08b60d88a67ddf810f8229f910f016cf7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 24 00:08:20 2015 +0100

    module check irssi version
    
    Add explicit checks into every module to match the ABI version defined
    in common.h

commit 4dc2bab4b4ae7ff05220c1121f0f11097f77b265
Merge: 3468a326 1749a7a5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 23:07:48 2015 +0100

    Merge pull request #371 from LemonBoy/rampage
    
    Rewrite some faulty logic handling the saved channels. Fixes #340

commit 3468a326242066743803ea0b19f0359cec0ce398
Merge: 544d5a8b 96766b7f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 23:04:25 2015 +0100

    Merge pull request #376 from dequis/win32-ifdefs
    
    Remove all WIN32 ifdefs (unifdef -UWIN32)

commit 96766b7f0530ca2e5b4d0fde68337f956e46eb0e
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Dec 9 15:20:59 2015 -0300

    Remove all WIN32 ifdefs (unifdef -UWIN32)
    
    Just use cygwin.
    
    This looks like it wasn't enough to do anything useful, and I don't
    think anyone cares about supporting win32 the hard way.

commit 544d5a8bba7e00f8b4a8433faea907abce27f557
Merge: 3eecb4e1 20fe5d0c
Author: dx <dx@dxzone.com.ar>
Date:   Wed Dec 9 15:07:44 2015 -0300

    Merge pull request #374 from ailin-nemui/dist-fix
    
    add missing file to Makefile

commit 1749a7a5abf9801bb663b74d4b3e7c3bcbfeb271
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Dec 9 16:16:03 2015 +0100

    Minor adjustments.
    
    Use g_strcmp0 instead of strcmp.
    Explicit checks added for the g_strcmp0 clauses.

commit 971417caa342881780b347f6aca728d962d710ee
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Dec 9 16:02:37 2015 +0100

    Rewrite some faulty logic handling the saved servers.

commit 60c501625bbc450b8bd443a7cbccf897810634fc
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Dec 9 15:43:31 2015 +0100

    Better function naming

commit 0fcfd37b83afb3ca9abe4cce6630080b850df2be
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 15:00:25 2015 +0100

    Fix Out-of-tree build
    
    Symlink irssi-version.h into build dir, restoring 550df275580b253e8c3ebb5dbfceef87311a63c9

commit 20fe5d0c7feea176129b6a31f2983b1b17689866
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 14:23:15 2015 +0100

    add missing file to Makefile

commit 3eecb4e12107bfe51ddcee265af00b232ba6b495
Merge: 229c600e 3532fc46
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 12:33:53 2015 +0100

    Merge pull request #131 from ailin-nemui/fe-exec-perl
    
    Add bindings for exec-type window items to Perl

commit 3532fc46719ebbcfe83b5814f93ac9cb58eea220
Author: Ailin Nemui <ailin@esf51.localdomain>
Date:   Fri Aug 22 13:48:17 2014 +0200

    Add bindings for exec-type window items to Perl
    
    These bindings were missing and resulted in non-hash non-undef active
    entries when an interactive process is executing.

commit 229c600e9963452689669a8466b1c7f49912125e
Merge: 57576bb7 b03805ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 12:01:00 2015 +0100

    Merge pull request #174 from ailin-nemui/entry-prompt-colours
    
    reimplement format and length logic for the entry prompt

commit 57576bb75f976d7ba80976b12160661809412357
Merge: ef6b7f91 ccc64c00
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 12:00:30 2015 +0100

    Merge pull request #65 from ailin-nemui/perl-irc-poly
    
    forward alternate_nick to Irc::Server attributes

commit ef6b7f91f57e510b429ba437e5e208820f5fc340
Merge: b5cfa55d ca964447
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 9 11:58:23 2015 +0100

    Merge pull request #373 from mineo/dcc-doc
    
    DCC close always requires a type

commit ca96444784535222e41606bd179f511fca097057
Author: Wieland Hoffmann <themineo@gmail.com>
Date:   Wed Dec 9 11:21:51 2015 +0100

    DCC close always requires a type

commit 750df38e8ccd59d7cb3a11e09a682755060f7283
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Dec 6 22:31:49 2015 +0100

    Rewrite some faulty logic handling the saved channels.
    
    Issue #340 brought to our attention the fact that under certain
    circumstances irssi would go on a wild rampage and carelessly overwrite
    some saved channel records in the configuration file.
    This happened because the code didn't take into account the case where
    the channel index in setupchannels wouldn't match the one in the
    configuration; this actually happens when the user removes a chatnet
    without removing the associated channels.

commit b5cfa55d9be3d7cd74628215ba5dd126c4e18342
Merge: 99193e99 82ce1de5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 27 00:07:15 2015 +0100

    Merge pull request #370 from dequis/irc-cap-space
    
    irc-cap: Don't send a space at the beginning of the CAP REQ parameter

commit 82ce1de5b004d27b8a742a72065feebf6d96f3ae
Author: dequis <dx@dxzone.com.ar>
Date:   Thu Nov 26 19:50:58 2015 -0300

    irc-cap: Don't send a space at the beginning of the CAP REQ parameter
    
    Turns out it confuses inspircd, making it reply a NAK with empty
    parameter. The rest is ACKed anyway. I've already whined at saberuk
    and there's a pending pull request over there fixing this issue.
    
    And, of course, this is cleaner.

commit 99193e99718630b90f52e5a25c19dd9b6b7229f6
Merge: c10188e4 d7ef9c59
Author: dx <dx@dxzone.com.ar>
Date:   Thu Nov 26 19:25:16 2015 -0300

    Merge pull request #357 from LemonBoy/fix-99+1
    
    Correctly alias 'channel' to '#channel'

commit c10188e45e1bf84053d711fa5b50aac2e4436c3c
Merge: 7ffc7554 54153e6d
Author: Geert Hauwaerts <geert@hauwaerts.be>
Date:   Wed Nov 25 19:49:25 2015 +0100

    Merge pull request #368 from incertia/random-fixes
    
    Random fixes (improve INSTALL)

commit 54153e6d887545b5f2b46580ce1f7eba2f7c702b
Author: Will Song <incertia9474@gmail.com>
Date:   Wed Nov 25 12:25:55 2015 -0600

    revise INSTALL to be more clear regarding which script to use

commit c52e6ebc992a317bfa3c1a67b8931e2e6cc40215
Author: Will Song <incertia9474@gmail.com>
Date:   Wed Nov 25 11:55:18 2015 -0600

    change ./configure to ./autogen.sh because ./configure does not exist in
    a fresh clone of the repository

commit 6ac6fcec469227971e7856201c27de09e1773ae4
Author: Will Song <incertia9474@gmail.com>
Date:   Wed Nov 25 11:53:48 2015 -0600

    ignore MYMETA.* generated by scripts in project root

commit 7ffc755448353a198889169f55731276987b656f
Merge: 80141622 11ad4da0
Author: dx <dx@dxzone.com.ar>
Date:   Wed Nov 25 10:11:53 2015 -0300

    Merge pull request #367 from ailin-nemui/perl_warn
    
    more perl inheritance warning fixes

commit 11ad4da0e33f565e83008045fe2532bb713f1f6b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 25 12:16:42 2015 +0100

    more perl inheritance warning fixes

commit 80141622ed3833670120cae0df10765dcf3775c5
Merge: 4c816c28 a941329b
Author: dx <dx@dxzone.com.ar>
Date:   Mon Nov 23 21:02:48 2015 -0300

    Merge pull request #365 from ailin-nemui/perl_nick
    
    fix nick class hierarchy

commit 4c816c287a499023424dc42dfd09c75cd896e607
Merge: 0ca0c882 877ff075
Author: dx <dx@dxzone.com.ar>
Date:   Mon Nov 23 20:56:33 2015 -0300

    Merge pull request #364 from ailin-nemui/no_cap_sasl
    
    stop cap_sasl

commit a941329b4140b436d0bd5316a29d8be47019d1ea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 24 00:40:19 2015 +0100

    fix nick class hierarchy

commit 877ff075bde3dee9da01f53e1afcf18be7ddf703
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 24 00:30:12 2015 +0100

    stop cap_sasl

commit 0ca0c882a578a6b82b9bad648b831da7b44421f1
Merge: f9654a7e 50fae421
Author: dx <dx@dxzone.com.ar>
Date:   Mon Nov 23 13:08:13 2015 -0300

    Merge pull request #360 from LemonBoy/backport-patch
    
    Save a patch from the Flyspray oblivion, plus a nice unrelated commit to make everyone (un)happy

commit f9654a7e0c0db48514e2b678a2f0ee4c61da39d9
Merge: 3ed21a53 8701cbc9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 23 10:05:05 2015 +0100

    Merge pull request #359 from LemonBoy/dcc-assert
    
    Let ignore_check do its work when server is NULL

commit 3ed21a530366c6ed13f3549d41219c690040053b
Merge: fbb838b3 0171b1a6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 22 23:02:04 2015 +0100

    Merge pull request #361 from LemonBoy/awaylog-format
    
    Use the expanded filename when picking the awaylog

commit 0171b1a6343434477845ac5365e5ee20ceef7904
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Nov 22 21:59:28 2015 +0100

    Use the expanded filename when picking the awaylog
    
    This fixes a long-standing bug where 'fname' was being feed to cat
    instead of 'real_fname', causing it to quit with a 'No such file or directory'
    error.
    
    FS#377

commit 50fae4212ec5fbb9931093b1c31bbeda97ddfbb3
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Nov 22 21:33:44 2015 +0100

    Use 'isblank()' instead of a custom macro

commit 011eda7d9e755d1df82b678c05c0cb9b1aaa1e29
Author: Fabian Kurz <fabian@fkurz.net>
Date:   Sun Nov 22 21:24:05 2015 +0100

    Correct a wrong use of the 'paste_buffer' variable
    
    The function "static void paste_buffer_join_lines(GArray *buf)" in
    "src/fe-text/gui-readline.c" is supposed to join lines from the GArray
    pointed to by *buf under certain circumstances.
    
    In the code of the function "buf" is actually used for getting the length
    of the GArray, but to get a pointer to the data, "paste_buffer->data" is
    used; paste_buffer is defined in the scope of the whole file.
    
    This delivers the desired result, because this function is only called
    once, with "paste_buffer" as the argument. If paste_buffer_join_lines()
    will ever be used with a different argument, it will fail.

commit 8701cbc972955ba7522390988e3c0e0c62770fa4
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Nov 22 16:57:45 2015 +0100

    Let ignore_check do its work when server is NULL
    
    A NULL-check has been added to the ignore_match_server macro, making the
    function safe from a pointer perspective.
    Fixes #193 in the meanwhile.

commit d7ef9c590fa679403da103f8e89042aad6abb919
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Nov 19 15:31:32 2015 +0100

    Correctly alias 'channel' to '#channel'
    
    Use the same approach used in 'irc_channels_join'.
    Remove 'irc_nick_strip' since it was unused.

commit fbb838b3b0d30ee41de648d667fa89a2d6b41076
Merge: ac04fa74 d4676c98
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 18 22:01:29 2015 +0100

    Merge pull request #350 from LemonBoy/fix-99
    
    Strip trailing whitespace from commands

commit ac04fa741355888d814c693e7e2b793c5413c3eb
Merge: 6d6e672e b333d103
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 10 11:07:16 2015 +0100

    Merge pull request #351 from vague666/hilight_default_behaviour
    
    Fix /hilight list output behaviour depending on enabled flags

commit b333d103641b48b77ab76c6d31b1f3788192268f
Author: Jari Matilainen <jari.matilainen@gmail.com>
Date:   Mon Nov 9 23:06:56 2015 +0100

    /hilight list print output with enabled flags, except when -word and -nick are used

commit d4676c985553dc957e863e814097beba9bcc279e
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Nov 9 23:02:41 2015 +0100

    Use the PARAM_FLAG_STRIP_TRAILING_WS flag wherever possible.

commit 3d9b9d473fdd2ec6af367df27cfc26a90a3f4375
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Nov 9 18:39:13 2015 +0100

    Strip the trailing whitespace from /join commands.
    
    Fixes #99 for great good.

commit 1006fee8027936c68e0f0b2f8dae766ad090764a
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Nov 9 17:32:51 2015 +0100

    Add an option to strip trailing whitespace when parsing commands

commit 6d6e672e8e27469bd08704edb96c3e0fa9ef898f
Merge: 0188c1fb ef1a09b8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 9 16:45:19 2015 +0100

    Merge pull request #313 from isundil/master
    
    Fix #45 Make it easy to delete default channels, servers and networks

commit 0188c1fb5d85fa0dc05114afaff44ff0aa9d7f87
Merge: 50775e92 b054ade4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 9 16:21:33 2015 +0100

    Merge pull request #341 from dequis/strsplit-len-fix
    
    Fix invalid reads in strsplit_len when splitting on spaces

commit b054ade4b90a05d778a64c63c0c834a126884aaa
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Nov 9 06:46:40 2015 -0300

    strsplit_len: make it look more like the original version

commit 8736c12fc95ca977f4fc4a947c760bac651cd3af
